Bug 144655 - RHEL4ES/B2 Red Hat Setup Agent errors in Activate module
RHEL4ES/B2 Red Hat Setup Agent errors in Activate module
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firstboot (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-01-10 08:00 EST by Robert G. 'Doc' Savage
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-07 02:45:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
system-generated error log file (549 bytes, text/plain)
2005-01-10 08:02 EST, Robert G. 'Doc' Savage
no flags Details

  None (edit)
Description Robert G. 'Doc' Savage 2005-01-10 08:00:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020

Description of problem:
During post-install configuration I received this error:

An error has occurred in the Activate module
Traceback (most recent call last)
  File "/usr/share/firstboot/firstbootWindow.py", line 48, in
loadModules vbox, pix, title = module.launch()
  File "/usr/share/firstboot/modules/rhn_activate_gui.py", line 90, in
launch self.setupScreen()
  File "/usr/share/firstboot/modules/rhn_activate_gui.py", line 83, in
setupScreen vbox = self-activatePagePrepare()
  File "/usr/share/rhn/up2date.client/rhnregGui.py", line 336, in
activatePagePrepare if hostname:
UnboundLocalError: local variable 'hostname' referenced before assignment.

Since there is a problem with the Activate module, Red Hat Setup Agent
will not load this module and will attempt to run the remaining modules.

Please file a bug against 'firstboot' in the Red Hat bug tracking
system at http://www.redhat.com/bugzilla. A copy of the debug output
has been saved to /root/firstboot.1105321553.53
Be sure to attach that file to the bug report.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1."Everything" install of B2 from five-CD set
2.During first boot following install, error appears

Actual Results:  Error message in Description appears

Additional info:

Tyan S2468 motherboard with Dual Athlon MP 2800+ and 3G RAM
Adaptec 2000S ZCR controller using i2o_block driver.
Comment 1 Robert G. 'Doc' Savage 2005-01-10 08:02:10 EST
Created attachment 109551 [details]
system-generated error log file
Comment 2 Jay Turner 2005-02-07 02:45:11 EST
This is actually a dup of another bug, but the other one appears to be private
so can't dup them.  Anyway this error is resolved with the 4.4.4 up2date version
(specifically tested with 4.4.5-1)

Note You need to log in before you can comment on or make changes to this bug.